<?
    require_once($_SERVER['DOCUMENT_ROOT'].'/bitrix/modules/main/classes/general/xml.php');

    $sExchange1CDirectory = __DIR__;

    require_once($sExchange1CDirectory.'/CStartShopExchange1CResponse.php');
    require_once($sExchange1CDirectory.'/CStartShopExchange1CCatalog.php');
    require_once($sExchange1CDirectory.'/CStartShopExchange1CCatalogIBlock.php');
    require_once($sExchange1CDirectory.'/CStartShopExchange1CCatalogSection.php');
    require_once($sExchange1CDirectory.'/CStartShopExchange1CCatalogProperty.php');
    require_once($sExchange1CDirectory.'/CStartShopExchange1CCatalogItem.php');
    require_once($sExchange1CDirectory.'/CStartShopExchange1CCatalogOffer.php');
    require_once($sExchange1CDirectory.'/CStartShopExchange1COrder.php');

    class CStartShopExchange1C
    {
        public static function GetSchemeVersion(&$oXml) {
            if ($oXml instanceof CDataXML)
                if ($oNode = $oXml->SelectNodes("/КоммерческаяИнформация")) {
                    $sVersion = $oNode->getAttribute("ВерсияСхемы");

                    if (!empty($sVersion))
                        return $sVersion;
                }

            return null;
        }
    }

?>